IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network100.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
100.96.0.0- Broadcast address
100.127.255.255- First usable
100.96.0.1- Last usable
100.127.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Shared address space (CGNAT) 100.64.0.0/10
Used by providers behind carrier-grade NAT (RFC 6598) - Old class
- A (default /8)
- As numbers
- Hex
64600000· Integer1684013056to1686110207 - Reverse DNS zones
96.100.in-addr.arpa97.100.in-addr.arpa98.100.in-addr.arpa99.100.in-addr.arpa100.100.in-addr.arpa101.100.in-addr.arpa102.100.in-addr.arpa103.100.in-addr.arpa104.100.in-addr.arpa105.100.in-addr.arpa106.100.in-addr.arpa107.100.in-addr.arpa108.100.in-addr.arpa109.100.in-addr.arpa110.100.in-addr.arpa111.100.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01100100.01100000.00000000.00000000 | 100.96.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 01100100.01100000.00000000.00000000 | 100.96.0.0 |
| Broadcast | 01100100.01111111.11111111.11111111 | 100.127.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
100.96.0.0/11 makes 512 subnets of /20; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 100.96.0.0/20 | 100.96.0.1 to 100.96.15.254 | 100.96.15.255 | 4,094 |
| 2 | 100.96.16.0/20 | 100.96.16.1 to 100.96.31.254 | 100.96.31.255 | 4,094 |
| 3 | 100.96.32.0/20 | 100.96.32.1 to 100.96.47.254 | 100.96.47.255 | 4,094 |
| 4 | 100.96.48.0/20 | 100.96.48.1 to 100.96.63.254 | 100.96.63.255 | 4,094 |
| 5 | 100.96.64.0/20 | 100.96.64.1 to 100.96.79.254 | 100.96.79.255 | 4,094 |
| 6 | 100.96.80.0/20 | 100.96.80.1 to 100.96.95.254 | 100.96.95.255 | 4,094 |
| 7 | 100.96.96.0/20 | 100.96.96.1 to 100.96.111.254 | 100.96.111.255 | 4,094 |
| 8 | 100.96.112.0/20 | 100.96.112.1 to 100.96.127.254 | 100.96.127.255 | 4,094 |
| 9 | 100.96.128.0/20 | 100.96.128.1 to 100.96.143.254 | 100.96.143.255 | 4,094 |
| 10 | 100.96.144.0/20 | 100.96.144.1 to 100.96.159.254 | 100.96.159.255 | 4,094 |
| 11 | 100.96.160.0/20 | 100.96.160.1 to 100.96.175.254 | 100.96.175.255 | 4,094 |
| 12 | 100.96.176.0/20 | 100.96.176.1 to 100.96.191.254 | 100.96.191.255 | 4,094 |
| 13 | 100.96.192.0/20 | 100.96.192.1 to 100.96.207.254 | 100.96.207.255 | 4,094 |
| 14 | 100.96.208.0/20 | 100.96.208.1 to 100.96.223.254 | 100.96.223.255 | 4,094 |
| 15 | 100.96.224.0/20 | 100.96.224.1 to 100.96.239.254 | 100.96.239.255 | 4,094 |
| 16 | 100.96.240.0/20 | 100.96.240.1 to 100.96.255.254 | 100.96.255.255 | 4,094 |
| 17 | 100.97.0.0/20 | 100.97.0.1 to 100.97.15.254 | 100.97.15.255 | 4,094 |
| 18 | 100.97.16.0/20 | 100.97.16.1 to 100.97.31.254 | 100.97.31.255 | 4,094 |
| 19 | 100.97.32.0/20 | 100.97.32.1 to 100.97.47.254 | 100.97.47.255 | 4,094 |
| 20 | 100.97.48.0/20 | 100.97.48.1 to 100.97.63.254 | 100.97.63.255 | 4,094 |
| 21 | 100.97.64.0/20 | 100.97.64.1 to 100.97.79.254 | 100.97.79.255 | 4,094 |
| 22 | 100.97.80.0/20 | 100.97.80.1 to 100.97.95.254 | 100.97.95.255 | 4,094 |
| 23 | 100.97.96.0/20 | 100.97.96.1 to 100.97.111.254 | 100.97.111.255 | 4,094 |
| 24 | 100.97.112.0/20 | 100.97.112.1 to 100.97.127.254 | 100.97.127.255 | 4,094 |
| 25 | 100.97.128.0/20 | 100.97.128.1 to 100.97.143.254 | 100.97.143.255 | 4,094 |
| 26 | 100.97.144.0/20 | 100.97.144.1 to 100.97.159.254 | 100.97.159.255 | 4,094 |
| 27 | 100.97.160.0/20 | 100.97.160.1 to 100.97.175.254 | 100.97.175.255 | 4,094 |
| 28 | 100.97.176.0/20 | 100.97.176.1 to 100.97.191.254 | 100.97.191.255 | 4,094 |
| 29 | 100.97.192.0/20 | 100.97.192.1 to 100.97.207.254 | 100.97.207.255 | 4,094 |
| 30 | 100.97.208.0/20 | 100.97.208.1 to 100.97.223.254 | 100.97.223.255 | 4,094 |
| 31 | 100.97.224.0/20 | 100.97.224.1 to 100.97.239.254 | 100.97.239.255 | 4,094 |
| 32 | 100.97.240.0/20 | 100.97.240.1 to 100.97.255.254 | 100.97.255.255 | 4,094 |
| 33 | 100.98.0.0/20 | 100.98.0.1 to 100.98.15.254 | 100.98.15.255 | 4,094 |
| 34 | 100.98.16.0/20 | 100.98.16.1 to 100.98.31.254 | 100.98.31.255 | 4,094 |
| 35 | 100.98.32.0/20 | 100.98.32.1 to 100.98.47.254 | 100.98.47.255 | 4,094 |
| 36 | 100.98.48.0/20 | 100.98.48.1 to 100.98.63.254 | 100.98.63.255 | 4,094 |
| 37 | 100.98.64.0/20 | 100.98.64.1 to 100.98.79.254 | 100.98.79.255 | 4,094 |
| 38 | 100.98.80.0/20 | 100.98.80.1 to 100.98.95.254 | 100.98.95.255 | 4,094 |
| 39 | 100.98.96.0/20 | 100.98.96.1 to 100.98.111.254 | 100.98.111.255 | 4,094 |
| 40 | 100.98.112.0/20 | 100.98.112.1 to 100.98.127.254 | 100.98.127.255 | 4,094 |
| 41 | 100.98.128.0/20 | 100.98.128.1 to 100.98.143.254 | 100.98.143.255 | 4,094 |
| 42 | 100.98.144.0/20 | 100.98.144.1 to 100.98.159.254 | 100.98.159.255 | 4,094 |
| 43 | 100.98.160.0/20 | 100.98.160.1 to 100.98.175.254 | 100.98.175.255 | 4,094 |
| 44 | 100.98.176.0/20 | 100.98.176.1 to 100.98.191.254 | 100.98.191.255 | 4,094 |
| 45 | 100.98.192.0/20 | 100.98.192.1 to 100.98.207.254 | 100.98.207.255 | 4,094 |
| 46 | 100.98.208.0/20 | 100.98.208.1 to 100.98.223.254 | 100.98.223.255 | 4,094 |
| 47 | 100.98.224.0/20 | 100.98.224.1 to 100.98.239.254 | 100.98.239.255 | 4,094 |
| 48 | 100.98.240.0/20 | 100.98.240.1 to 100.98.255.254 | 100.98.255.255 | 4,094 |
| 49 | 100.99.0.0/20 | 100.99.0.1 to 100.99.15.254 | 100.99.15.255 | 4,094 |
| 50 | 100.99.16.0/20 | 100.99.16.1 to 100.99.31.254 | 100.99.31.255 | 4,094 |
| 51 | 100.99.32.0/20 | 100.99.32.1 to 100.99.47.254 | 100.99.47.255 | 4,094 |
| 52 | 100.99.48.0/20 | 100.99.48.1 to 100.99.63.254 | 100.99.63.255 | 4,094 |
| 53 | 100.99.64.0/20 | 100.99.64.1 to 100.99.79.254 | 100.99.79.255 | 4,094 |
| 54 | 100.99.80.0/20 | 100.99.80.1 to 100.99.95.254 | 100.99.95.255 | 4,094 |
| 55 | 100.99.96.0/20 | 100.99.96.1 to 100.99.111.254 | 100.99.111.255 | 4,094 |
| 56 | 100.99.112.0/20 | 100.99.112.1 to 100.99.127.254 | 100.99.127.255 | 4,094 |
| 57 | 100.99.128.0/20 | 100.99.128.1 to 100.99.143.254 | 100.99.143.255 | 4,094 |
| 58 | 100.99.144.0/20 | 100.99.144.1 to 100.99.159.254 | 100.99.159.255 | 4,094 |
| 59 | 100.99.160.0/20 | 100.99.160.1 to 100.99.175.254 | 100.99.175.255 | 4,094 |
| 60 | 100.99.176.0/20 | 100.99.176.1 to 100.99.191.254 | 100.99.191.255 | 4,094 |
| 61 | 100.99.192.0/20 | 100.99.192.1 to 100.99.207.254 | 100.99.207.255 | 4,094 |
| 62 | 100.99.208.0/20 | 100.99.208.1 to 100.99.223.254 | 100.99.223.255 | 4,094 |
| 63 | 100.99.224.0/20 | 100.99.224.1 to 100.99.239.254 | 100.99.239.255 | 4,094 |
| 64 | 100.99.240.0/20 | 100.99.240.1 to 100.99.255.254 | 100.99.255.255 | 4,094 |
| 65 | 100.100.0.0/20 | 100.100.0.1 to 100.100.15.254 | 100.100.15.255 | 4,094 |
| 66 | 100.100.16.0/20 | 100.100.16.1 to 100.100.31.254 | 100.100.31.255 | 4,094 |
| 67 | 100.100.32.0/20 | 100.100.32.1 to 100.100.47.254 | 100.100.47.255 | 4,094 |
| 68 | 100.100.48.0/20 | 100.100.48.1 to 100.100.63.254 | 100.100.63.255 | 4,094 |
| 69 | 100.100.64.0/20 | 100.100.64.1 to 100.100.79.254 | 100.100.79.255 | 4,094 |
| 70 | 100.100.80.0/20 | 100.100.80.1 to 100.100.95.254 | 100.100.95.255 | 4,094 |
| 71 | 100.100.96.0/20 | 100.100.96.1 to 100.100.111.254 | 100.100.111.255 | 4,094 |
| 72 | 100.100.112.0/20 | 100.100.112.1 to 100.100.127.254 | 100.100.127.255 | 4,094 |
| 73 | 100.100.128.0/20 | 100.100.128.1 to 100.100.143.254 | 100.100.143.255 | 4,094 |
| 74 | 100.100.144.0/20 | 100.100.144.1 to 100.100.159.254 | 100.100.159.255 | 4,094 |
| 75 | 100.100.160.0/20 | 100.100.160.1 to 100.100.175.254 | 100.100.175.255 | 4,094 |
| 76 | 100.100.176.0/20 | 100.100.176.1 to 100.100.191.254 | 100.100.191.255 | 4,094 |
| 77 | 100.100.192.0/20 | 100.100.192.1 to 100.100.207.254 | 100.100.207.255 | 4,094 |
| 78 | 100.100.208.0/20 | 100.100.208.1 to 100.100.223.254 | 100.100.223.255 | 4,094 |
| 79 | 100.100.224.0/20 | 100.100.224.1 to 100.100.239.254 | 100.100.239.255 | 4,094 |
| 80 | 100.100.240.0/20 | 100.100.240.1 to 100.100.255.254 | 100.100.255.255 | 4,094 |
| 81 | 100.101.0.0/20 | 100.101.0.1 to 100.101.15.254 | 100.101.15.255 | 4,094 |
| 82 | 100.101.16.0/20 | 100.101.16.1 to 100.101.31.254 | 100.101.31.255 | 4,094 |
| 83 | 100.101.32.0/20 | 100.101.32.1 to 100.101.47.254 | 100.101.47.255 | 4,094 |
| 84 | 100.101.48.0/20 | 100.101.48.1 to 100.101.63.254 | 100.101.63.255 | 4,094 |
| 85 | 100.101.64.0/20 | 100.101.64.1 to 100.101.79.254 | 100.101.79.255 | 4,094 |
| 86 | 100.101.80.0/20 | 100.101.80.1 to 100.101.95.254 | 100.101.95.255 | 4,094 |
| 87 | 100.101.96.0/20 | 100.101.96.1 to 100.101.111.254 | 100.101.111.255 | 4,094 |
| 88 | 100.101.112.0/20 | 100.101.112.1 to 100.101.127.254 | 100.101.127.255 | 4,094 |
| 89 | 100.101.128.0/20 | 100.101.128.1 to 100.101.143.254 | 100.101.143.255 | 4,094 |
| 90 | 100.101.144.0/20 | 100.101.144.1 to 100.101.159.254 | 100.101.159.255 | 4,094 |
| 91 | 100.101.160.0/20 | 100.101.160.1 to 100.101.175.254 | 100.101.175.255 | 4,094 |
| 92 | 100.101.176.0/20 | 100.101.176.1 to 100.101.191.254 | 100.101.191.255 | 4,094 |
| 93 | 100.101.192.0/20 | 100.101.192.1 to 100.101.207.254 | 100.101.207.255 | 4,094 |
| 94 | 100.101.208.0/20 | 100.101.208.1 to 100.101.223.254 | 100.101.223.255 | 4,094 |
| 95 | 100.101.224.0/20 | 100.101.224.1 to 100.101.239.254 | 100.101.239.255 | 4,094 |
| 96 | 100.101.240.0/20 | 100.101.240.1 to 100.101.255.254 | 100.101.255.255 | 4,094 |
| 97 | 100.102.0.0/20 | 100.102.0.1 to 100.102.15.254 | 100.102.15.255 | 4,094 |
| 98 | 100.102.16.0/20 | 100.102.16.1 to 100.102.31.254 | 100.102.31.255 | 4,094 |
| 99 | 100.102.32.0/20 | 100.102.32.1 to 100.102.47.254 | 100.102.47.255 | 4,094 |
| 100 | 100.102.48.0/20 | 100.102.48.1 to 100.102.63.254 | 100.102.63.255 | 4,094 |
| 101 | 100.102.64.0/20 | 100.102.64.1 to 100.102.79.254 | 100.102.79.255 | 4,094 |
| 102 | 100.102.80.0/20 | 100.102.80.1 to 100.102.95.254 | 100.102.95.255 | 4,094 |
| 103 | 100.102.96.0/20 | 100.102.96.1 to 100.102.111.254 | 100.102.111.255 | 4,094 |
| 104 | 100.102.112.0/20 | 100.102.112.1 to 100.102.127.254 | 100.102.127.255 | 4,094 |
| 105 | 100.102.128.0/20 | 100.102.128.1 to 100.102.143.254 | 100.102.143.255 | 4,094 |
| 106 | 100.102.144.0/20 | 100.102.144.1 to 100.102.159.254 | 100.102.159.255 | 4,094 |
| 107 | 100.102.160.0/20 | 100.102.160.1 to 100.102.175.254 | 100.102.175.255 | 4,094 |
| 108 | 100.102.176.0/20 | 100.102.176.1 to 100.102.191.254 | 100.102.191.255 | 4,094 |
| 109 | 100.102.192.0/20 | 100.102.192.1 to 100.102.207.254 | 100.102.207.255 | 4,094 |
| 110 | 100.102.208.0/20 | 100.102.208.1 to 100.102.223.254 | 100.102.223.255 | 4,094 |
| 111 | 100.102.224.0/20 | 100.102.224.1 to 100.102.239.254 | 100.102.239.255 | 4,094 |
| 112 | 100.102.240.0/20 | 100.102.240.1 to 100.102.255.254 | 100.102.255.255 | 4,094 |
| 113 | 100.103.0.0/20 | 100.103.0.1 to 100.103.15.254 | 100.103.15.255 | 4,094 |
| 114 | 100.103.16.0/20 | 100.103.16.1 to 100.103.31.254 | 100.103.31.255 | 4,094 |
| 115 | 100.103.32.0/20 | 100.103.32.1 to 100.103.47.254 | 100.103.47.255 | 4,094 |
| 116 | 100.103.48.0/20 | 100.103.48.1 to 100.103.63.254 | 100.103.63.255 | 4,094 |
| 117 | 100.103.64.0/20 | 100.103.64.1 to 100.103.79.254 | 100.103.79.255 | 4,094 |
| 118 | 100.103.80.0/20 | 100.103.80.1 to 100.103.95.254 | 100.103.95.255 | 4,094 |
| 119 | 100.103.96.0/20 | 100.103.96.1 to 100.103.111.254 | 100.103.111.255 | 4,094 |
| 120 | 100.103.112.0/20 | 100.103.112.1 to 100.103.127.254 | 100.103.127.255 | 4,094 |
| 121 | 100.103.128.0/20 | 100.103.128.1 to 100.103.143.254 | 100.103.143.255 | 4,094 |
| 122 | 100.103.144.0/20 | 100.103.144.1 to 100.103.159.254 | 100.103.159.255 | 4,094 |
| 123 | 100.103.160.0/20 | 100.103.160.1 to 100.103.175.254 | 100.103.175.255 | 4,094 |
| 124 | 100.103.176.0/20 | 100.103.176.1 to 100.103.191.254 | 100.103.191.255 | 4,094 |
| 125 | 100.103.192.0/20 | 100.103.192.1 to 100.103.207.254 | 100.103.207.255 | 4,094 |
| 126 | 100.103.208.0/20 | 100.103.208.1 to 100.103.223.254 | 100.103.223.255 | 4,094 |
| 127 | 100.103.224.0/20 | 100.103.224.1 to 100.103.239.254 | 100.103.239.255 | 4,094 |
| 128 | 100.103.240.0/20 | 100.103.240.1 to 100.103.255.254 | 100.103.255.255 | 4,094 |
| 129 | 100.104.0.0/20 | 100.104.0.1 to 100.104.15.254 | 100.104.15.255 | 4,094 |
| 130 | 100.104.16.0/20 | 100.104.16.1 to 100.104.31.254 | 100.104.31.255 | 4,094 |
| 131 | 100.104.32.0/20 | 100.104.32.1 to 100.104.47.254 | 100.104.47.255 | 4,094 |
| 132 | 100.104.48.0/20 | 100.104.48.1 to 100.104.63.254 | 100.104.63.255 | 4,094 |
| 133 | 100.104.64.0/20 | 100.104.64.1 to 100.104.79.254 | 100.104.79.255 | 4,094 |
| 134 | 100.104.80.0/20 | 100.104.80.1 to 100.104.95.254 | 100.104.95.255 | 4,094 |
| 135 | 100.104.96.0/20 | 100.104.96.1 to 100.104.111.254 | 100.104.111.255 | 4,094 |
| 136 | 100.104.112.0/20 | 100.104.112.1 to 100.104.127.254 | 100.104.127.255 | 4,094 |
| 137 | 100.104.128.0/20 | 100.104.128.1 to 100.104.143.254 | 100.104.143.255 | 4,094 |
| 138 | 100.104.144.0/20 | 100.104.144.1 to 100.104.159.254 | 100.104.159.255 | 4,094 |
| 139 | 100.104.160.0/20 | 100.104.160.1 to 100.104.175.254 | 100.104.175.255 | 4,094 |
| 140 | 100.104.176.0/20 | 100.104.176.1 to 100.104.191.254 | 100.104.191.255 | 4,094 |
| 141 | 100.104.192.0/20 | 100.104.192.1 to 100.104.207.254 | 100.104.207.255 | 4,094 |
| 142 | 100.104.208.0/20 | 100.104.208.1 to 100.104.223.254 | 100.104.223.255 | 4,094 |
| 143 | 100.104.224.0/20 | 100.104.224.1 to 100.104.239.254 | 100.104.239.255 | 4,094 |
| 144 | 100.104.240.0/20 | 100.104.240.1 to 100.104.255.254 | 100.104.255.255 | 4,094 |
| 145 | 100.105.0.0/20 | 100.105.0.1 to 100.105.15.254 | 100.105.15.255 | 4,094 |
| 146 | 100.105.16.0/20 | 100.105.16.1 to 100.105.31.254 | 100.105.31.255 | 4,094 |
| 147 | 100.105.32.0/20 | 100.105.32.1 to 100.105.47.254 | 100.105.47.255 | 4,094 |
| 148 | 100.105.48.0/20 | 100.105.48.1 to 100.105.63.254 | 100.105.63.255 | 4,094 |
| 149 | 100.105.64.0/20 | 100.105.64.1 to 100.105.79.254 | 100.105.79.255 | 4,094 |
| 150 | 100.105.80.0/20 | 100.105.80.1 to 100.105.95.254 | 100.105.95.255 | 4,094 |
| 151 | 100.105.96.0/20 | 100.105.96.1 to 100.105.111.254 | 100.105.111.255 | 4,094 |
| 152 | 100.105.112.0/20 | 100.105.112.1 to 100.105.127.254 | 100.105.127.255 | 4,094 |
| 153 | 100.105.128.0/20 | 100.105.128.1 to 100.105.143.254 | 100.105.143.255 | 4,094 |
| 154 | 100.105.144.0/20 | 100.105.144.1 to 100.105.159.254 | 100.105.159.255 | 4,094 |
| 155 | 100.105.160.0/20 | 100.105.160.1 to 100.105.175.254 | 100.105.175.255 | 4,094 |
| 156 | 100.105.176.0/20 | 100.105.176.1 to 100.105.191.254 | 100.105.191.255 | 4,094 |
| 157 | 100.105.192.0/20 | 100.105.192.1 to 100.105.207.254 | 100.105.207.255 | 4,094 |
| 158 | 100.105.208.0/20 | 100.105.208.1 to 100.105.223.254 | 100.105.223.255 | 4,094 |
| 159 | 100.105.224.0/20 | 100.105.224.1 to 100.105.239.254 | 100.105.239.255 | 4,094 |
| 160 | 100.105.240.0/20 | 100.105.240.1 to 100.105.255.254 | 100.105.255.255 | 4,094 |
| 161 | 100.106.0.0/20 | 100.106.0.1 to 100.106.15.254 | 100.106.15.255 | 4,094 |
| 162 | 100.106.16.0/20 | 100.106.16.1 to 100.106.31.254 | 100.106.31.255 | 4,094 |
| 163 | 100.106.32.0/20 | 100.106.32.1 to 100.106.47.254 | 100.106.47.255 | 4,094 |
| 164 | 100.106.48.0/20 | 100.106.48.1 to 100.106.63.254 | 100.106.63.255 | 4,094 |
| 165 | 100.106.64.0/20 | 100.106.64.1 to 100.106.79.254 | 100.106.79.255 | 4,094 |
| 166 | 100.106.80.0/20 | 100.106.80.1 to 100.106.95.254 | 100.106.95.255 | 4,094 |
| 167 | 100.106.96.0/20 | 100.106.96.1 to 100.106.111.254 | 100.106.111.255 | 4,094 |
| 168 | 100.106.112.0/20 | 100.106.112.1 to 100.106.127.254 | 100.106.127.255 | 4,094 |
| 169 | 100.106.128.0/20 | 100.106.128.1 to 100.106.143.254 | 100.106.143.255 | 4,094 |
| 170 | 100.106.144.0/20 | 100.106.144.1 to 100.106.159.254 | 100.106.159.255 | 4,094 |
| 171 | 100.106.160.0/20 | 100.106.160.1 to 100.106.175.254 | 100.106.175.255 | 4,094 |
| 172 | 100.106.176.0/20 | 100.106.176.1 to 100.106.191.254 | 100.106.191.255 | 4,094 |
| 173 | 100.106.192.0/20 | 100.106.192.1 to 100.106.207.254 | 100.106.207.255 | 4,094 |
| 174 | 100.106.208.0/20 | 100.106.208.1 to 100.106.223.254 | 100.106.223.255 | 4,094 |
| 175 | 100.106.224.0/20 | 100.106.224.1 to 100.106.239.254 | 100.106.239.255 | 4,094 |
| 176 | 100.106.240.0/20 | 100.106.240.1 to 100.106.255.254 | 100.106.255.255 | 4,094 |
| 177 | 100.107.0.0/20 | 100.107.0.1 to 100.107.15.254 | 100.107.15.255 | 4,094 |
| 178 | 100.107.16.0/20 | 100.107.16.1 to 100.107.31.254 | 100.107.31.255 | 4,094 |
| 179 | 100.107.32.0/20 | 100.107.32.1 to 100.107.47.254 | 100.107.47.255 | 4,094 |
| 180 | 100.107.48.0/20 | 100.107.48.1 to 100.107.63.254 | 100.107.63.255 | 4,094 |
| 181 | 100.107.64.0/20 | 100.107.64.1 to 100.107.79.254 | 100.107.79.255 | 4,094 |
| 182 | 100.107.80.0/20 | 100.107.80.1 to 100.107.95.254 | 100.107.95.255 | 4,094 |
| 183 | 100.107.96.0/20 | 100.107.96.1 to 100.107.111.254 | 100.107.111.255 | 4,094 |
| 184 | 100.107.112.0/20 | 100.107.112.1 to 100.107.127.254 | 100.107.127.255 | 4,094 |
| 185 | 100.107.128.0/20 | 100.107.128.1 to 100.107.143.254 | 100.107.143.255 | 4,094 |
| 186 | 100.107.144.0/20 | 100.107.144.1 to 100.107.159.254 | 100.107.159.255 | 4,094 |
| 187 | 100.107.160.0/20 | 100.107.160.1 to 100.107.175.254 | 100.107.175.255 | 4,094 |
| 188 | 100.107.176.0/20 | 100.107.176.1 to 100.107.191.254 | 100.107.191.255 | 4,094 |
| 189 | 100.107.192.0/20 | 100.107.192.1 to 100.107.207.254 | 100.107.207.255 | 4,094 |
| 190 | 100.107.208.0/20 | 100.107.208.1 to 100.107.223.254 | 100.107.223.255 | 4,094 |
| 191 | 100.107.224.0/20 | 100.107.224.1 to 100.107.239.254 | 100.107.239.255 | 4,094 |
| 192 | 100.107.240.0/20 | 100.107.240.1 to 100.107.255.254 | 100.107.255.255 | 4,094 |
| 193 | 100.108.0.0/20 | 100.108.0.1 to 100.108.15.254 | 100.108.15.255 | 4,094 |
| 194 | 100.108.16.0/20 | 100.108.16.1 to 100.108.31.254 | 100.108.31.255 | 4,094 |
| 195 | 100.108.32.0/20 | 100.108.32.1 to 100.108.47.254 | 100.108.47.255 | 4,094 |
| 196 | 100.108.48.0/20 | 100.108.48.1 to 100.108.63.254 | 100.108.63.255 | 4,094 |
| 197 | 100.108.64.0/20 | 100.108.64.1 to 100.108.79.254 | 100.108.79.255 | 4,094 |
| 198 | 100.108.80.0/20 | 100.108.80.1 to 100.108.95.254 | 100.108.95.255 | 4,094 |
| 199 | 100.108.96.0/20 | 100.108.96.1 to 100.108.111.254 | 100.108.111.255 | 4,094 |
| 200 | 100.108.112.0/20 | 100.108.112.1 to 100.108.127.254 | 100.108.127.255 | 4,094 |
| 201 | 100.108.128.0/20 | 100.108.128.1 to 100.108.143.254 | 100.108.143.255 | 4,094 |
| 202 | 100.108.144.0/20 | 100.108.144.1 to 100.108.159.254 | 100.108.159.255 | 4,094 |
| 203 | 100.108.160.0/20 | 100.108.160.1 to 100.108.175.254 | 100.108.175.255 | 4,094 |
| 204 | 100.108.176.0/20 | 100.108.176.1 to 100.108.191.254 | 100.108.191.255 | 4,094 |
| 205 | 100.108.192.0/20 | 100.108.192.1 to 100.108.207.254 | 100.108.207.255 | 4,094 |
| 206 | 100.108.208.0/20 | 100.108.208.1 to 100.108.223.254 | 100.108.223.255 | 4,094 |
| 207 | 100.108.224.0/20 | 100.108.224.1 to 100.108.239.254 | 100.108.239.255 | 4,094 |
| 208 | 100.108.240.0/20 | 100.108.240.1 to 100.108.255.254 | 100.108.255.255 | 4,094 |
| 209 | 100.109.0.0/20 | 100.109.0.1 to 100.109.15.254 | 100.109.15.255 | 4,094 |
| 210 | 100.109.16.0/20 | 100.109.16.1 to 100.109.31.254 | 100.109.31.255 | 4,094 |
| 211 | 100.109.32.0/20 | 100.109.32.1 to 100.109.47.254 | 100.109.47.255 | 4,094 |
| 212 | 100.109.48.0/20 | 100.109.48.1 to 100.109.63.254 | 100.109.63.255 | 4,094 |
| 213 | 100.109.64.0/20 | 100.109.64.1 to 100.109.79.254 | 100.109.79.255 | 4,094 |
| 214 | 100.109.80.0/20 | 100.109.80.1 to 100.109.95.254 | 100.109.95.255 | 4,094 |
| 215 | 100.109.96.0/20 | 100.109.96.1 to 100.109.111.254 | 100.109.111.255 | 4,094 |
| 216 | 100.109.112.0/20 | 100.109.112.1 to 100.109.127.254 | 100.109.127.255 | 4,094 |
| 217 | 100.109.128.0/20 | 100.109.128.1 to 100.109.143.254 | 100.109.143.255 | 4,094 |
| 218 | 100.109.144.0/20 | 100.109.144.1 to 100.109.159.254 | 100.109.159.255 | 4,094 |
| 219 | 100.109.160.0/20 | 100.109.160.1 to 100.109.175.254 | 100.109.175.255 | 4,094 |
| 220 | 100.109.176.0/20 | 100.109.176.1 to 100.109.191.254 | 100.109.191.255 | 4,094 |
| 221 | 100.109.192.0/20 | 100.109.192.1 to 100.109.207.254 | 100.109.207.255 | 4,094 |
| 222 | 100.109.208.0/20 | 100.109.208.1 to 100.109.223.254 | 100.109.223.255 | 4,094 |
| 223 | 100.109.224.0/20 | 100.109.224.1 to 100.109.239.254 | 100.109.239.255 | 4,094 |
| 224 | 100.109.240.0/20 | 100.109.240.1 to 100.109.255.254 | 100.109.255.255 | 4,094 |
| 225 | 100.110.0.0/20 | 100.110.0.1 to 100.110.15.254 | 100.110.15.255 | 4,094 |
| 226 | 100.110.16.0/20 | 100.110.16.1 to 100.110.31.254 | 100.110.31.255 | 4,094 |
| 227 | 100.110.32.0/20 | 100.110.32.1 to 100.110.47.254 | 100.110.47.255 | 4,094 |
| 228 | 100.110.48.0/20 | 100.110.48.1 to 100.110.63.254 | 100.110.63.255 | 4,094 |
| 229 | 100.110.64.0/20 | 100.110.64.1 to 100.110.79.254 | 100.110.79.255 | 4,094 |
| 230 | 100.110.80.0/20 | 100.110.80.1 to 100.110.95.254 | 100.110.95.255 | 4,094 |
| 231 | 100.110.96.0/20 | 100.110.96.1 to 100.110.111.254 | 100.110.111.255 | 4,094 |
| 232 | 100.110.112.0/20 | 100.110.112.1 to 100.110.127.254 | 100.110.127.255 | 4,094 |
| 233 | 100.110.128.0/20 | 100.110.128.1 to 100.110.143.254 | 100.110.143.255 | 4,094 |
| 234 | 100.110.144.0/20 | 100.110.144.1 to 100.110.159.254 | 100.110.159.255 | 4,094 |
| 235 | 100.110.160.0/20 | 100.110.160.1 to 100.110.175.254 | 100.110.175.255 | 4,094 |
| 236 | 100.110.176.0/20 | 100.110.176.1 to 100.110.191.254 | 100.110.191.255 | 4,094 |
| 237 | 100.110.192.0/20 | 100.110.192.1 to 100.110.207.254 | 100.110.207.255 | 4,094 |
| 238 | 100.110.208.0/20 | 100.110.208.1 to 100.110.223.254 | 100.110.223.255 | 4,094 |
| 239 | 100.110.224.0/20 | 100.110.224.1 to 100.110.239.254 | 100.110.239.255 | 4,094 |
| 240 | 100.110.240.0/20 | 100.110.240.1 to 100.110.255.254 | 100.110.255.255 | 4,094 |
| 241 | 100.111.0.0/20 | 100.111.0.1 to 100.111.15.254 | 100.111.15.255 | 4,094 |
| 242 | 100.111.16.0/20 | 100.111.16.1 to 100.111.31.254 | 100.111.31.255 | 4,094 |
| 243 | 100.111.32.0/20 | 100.111.32.1 to 100.111.47.254 | 100.111.47.255 | 4,094 |
| 244 | 100.111.48.0/20 | 100.111.48.1 to 100.111.63.254 | 100.111.63.255 | 4,094 |
| 245 | 100.111.64.0/20 | 100.111.64.1 to 100.111.79.254 | 100.111.79.255 | 4,094 |
| 246 | 100.111.80.0/20 | 100.111.80.1 to 100.111.95.254 | 100.111.95.255 | 4,094 |
| 247 | 100.111.96.0/20 | 100.111.96.1 to 100.111.111.254 | 100.111.111.255 | 4,094 |
| 248 | 100.111.112.0/20 | 100.111.112.1 to 100.111.127.254 | 100.111.127.255 | 4,094 |
| 249 | 100.111.128.0/20 | 100.111.128.1 to 100.111.143.254 | 100.111.143.255 | 4,094 |
| 250 | 100.111.144.0/20 | 100.111.144.1 to 100.111.159.254 | 100.111.159.255 | 4,094 |
| 251 | 100.111.160.0/20 | 100.111.160.1 to 100.111.175.254 | 100.111.175.255 | 4,094 |
| 252 | 100.111.176.0/20 | 100.111.176.1 to 100.111.191.254 | 100.111.191.255 | 4,094 |
| 253 | 100.111.192.0/20 | 100.111.192.1 to 100.111.207.254 | 100.111.207.255 | 4,094 |
| 254 | 100.111.208.0/20 | 100.111.208.1 to 100.111.223.254 | 100.111.223.255 | 4,094 |
| 255 | 100.111.224.0/20 | 100.111.224.1 to 100.111.239.254 | 100.111.239.255 | 4,094 |
| 256 | 100.111.240.0/20 | 100.111.240.1 to 100.111.255.254 | 100.111.255.255 | 4,094 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |